Merge branch 'master' of ssh://git.indexdata.com/home/git/pub/pazpar2
authorDennis Schafroth <dennis@indexdata.com>
Tue, 17 Aug 2010 12:32:46 +0000 (14:32 +0200)
committerDennis Schafroth <dennis@indexdata.com>
Tue, 17 Aug 2010 12:32:46 +0000 (14:32 +0200)
etc/solr-pz2.xsl [new file with mode: 0644]
test/solr-pz2.xsl [new file with mode: 0644]
test/test_solr.cfg [new file with mode: 0644]
test/test_solr.sh [new file with mode: 0755]
test/test_solr_1.res [new file with mode: 0644]
test/test_solr_2.res [new file with mode: 0644]
test/test_solr_3.res [new file with mode: 0644]
test/test_solr_4.res [new file with mode: 0644]
test/test_solr_5.res [new file with mode: 0644]
test/test_solr_6.res [new file with mode: 0644]
test/test_solr_urls [new file with mode: 0644]

diff --git a/etc/solr-pz2.xsl b/etc/solr-pz2.xsl
new file mode 100644 (file)
index 0000000..4267f99
--- /dev/null
@@ -0,0 +1,37 @@
+<?xml version="1.0"?>
+<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
+               xmlns:pz="http://www.indexdata.com/pazpar2/1.0" >
+  <xsl:template  match="/">
+      <xsl:apply-templates></xsl:apply-templates>
+  </xsl:template>
+
+  <xsl:template match="doc">
+    <pz:record>
+      <xsl:apply-templates></xsl:apply-templates>
+    </pz:record>
+  </xsl:template>
+  <xsl:template match="str[@name]">
+    <pz:metadata>
+       <xsl:attribute  name="type">
+         <xsl:value-of select="@name"/>
+       </xsl:attribute>
+       <xsl:value-of select="."/>
+    </pz:metadata>
+  </xsl:template>
+
+  <xsl:template match="arr">
+    <xsl:for-each select="str">
+      <xsl:call-template name="string"/>
+    </xsl:for-each>
+  </xsl:template>
+
+  <xsl:template name="string">
+      <pz:metadata>
+       <xsl:attribute  name="type">
+         <xsl:value-of select="../@name"/>
+       </xsl:attribute>
+       <xsl:value-of select="."/>
+      </pz:metadata>
+  </xsl:template>
+
+</xsl:stylesheet>
diff --git a/test/solr-pz2.xsl b/test/solr-pz2.xsl
new file mode 100644 (file)
index 0000000..4267f99
--- /dev/null
@@ -0,0 +1,37 @@
+<?xml version="1.0"?>
+<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
+               xmlns:pz="http://www.indexdata.com/pazpar2/1.0" >
+  <xsl:template  match="/">
+      <xsl:apply-templates></xsl:apply-templates>
+  </xsl:template>
+
+  <xsl:template match="doc">
+    <pz:record>
+      <xsl:apply-templates></xsl:apply-templates>
+    </pz:record>
+  </xsl:template>
+  <xsl:template match="str[@name]">
+    <pz:metadata>
+       <xsl:attribute  name="type">
+         <xsl:value-of select="@name"/>
+       </xsl:attribute>
+       <xsl:value-of select="."/>
+    </pz:metadata>
+  </xsl:template>
+
+  <xsl:template match="arr">
+    <xsl:for-each select="str">
+      <xsl:call-template name="string"/>
+    </xsl:for-each>
+  </xsl:template>
+
+  <xsl:template name="string">
+      <pz:metadata>
+       <xsl:attribute  name="type">
+         <xsl:value-of select="../@name"/>
+       </xsl:attribute>
+       <xsl:value-of select="."/>
+      </pz:metadata>
+  </xsl:template>
+
+</xsl:stylesheet>
diff --git a/test/test_solr.cfg b/test/test_solr.cfg
new file mode 100644 (file)
index 0000000..65287b7
--- /dev/null
@@ -0,0 +1,39 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<pazpar2 xmlns="http://www.indexdata.com/pazpar2/1.0">
+  <!-- Used by test_http.sh -->
+  <server>
+    <listen port="9763"/>
+    <proxy host="localhost"/>
+    
+    <service>
+      <include src="z3950_indexdata_com_marc.xml"/>
+      <targetprofiles type="local" src="../zeerex/records/"/>
+      <metadata name="url" merge="unique"/>
+      <metadata name="title" brief="yes" sortkey="skiparticle" merge="longest" rank="6" mergekey="required" />
+      <metadata name="title-remainder" brief="yes" merge="longest" rank="5"/>
+      <metadata name="isbn"/>
+      <metadata name="date" brief="yes" sortkey="numeric" type="year" merge="range"
+               termlist="yes"/>
+      <metadata name="author" brief="yes" termlist="yes" merge="longest" rank="2" mergekey="optional" />
+      <metadata name="subject" merge="unique" termlist="yes" rank="3"/>
+      <metadata name="id"/>
+      <metadata name="lccn" merge="unique"/>
+      <metadata name="description" brief="yes" merge="longest" rank="3"/>
+      
+      <metadata name="test-usersetting" brief="yes" setting="postproc"/>
+      <metadata name="test" setting="parameter"/>
+      <metadata name="test-usersetting-2" brief="yes"/>
+    </service>
+
+    <include src="*_service.xml"/> 
+    <include src="no_such_service.xml"/>
+
+  </server>
+  
+  
+</pazpar2>
+<!-- Keep this comment at the end of the file
+     Local variables:
+     mode: nxml
+     End:
+-->
diff --git a/test/test_solr.sh b/test/test_solr.sh
new file mode 100755 (executable)
index 0000000..4e96d20
--- /dev/null
@@ -0,0 +1,28 @@
+#!/bin/sh
+
+# srcdir might be set by make
+srcdir=${srcdir:-"."}
+
+#TODO set up solr target. For now use donut 
+#F=../solr/client.sh 
+#
+#rm -f solr.pid
+#$F -l solr.log -p ztest.pid -D @:9999
+#sleep 1
+#if test ! -f ztest.pid; then
+#    echo "yaz-ztest could not be started"
+#    exit 0
+#fi
+
+${srcdir}/run_pazpar2.sh test_solr
+E=$?
+
+#kill `cat ztest.pid`
+#rm ztest.pid
+exit $E
+
+# Local Variables:
+# mode:shell-script
+# sh-indentation: 2
+# sh-basic-offset: 4
+# End:
diff --git a/test/test_solr_1.res b/test/test_solr_1.res
new file mode 100644 (file)
index 0000000..81ff9ff
--- /dev/null
@@ -0,0 +1,2 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<init><status>OK</status><session>1</session><protocol>1</protocol></init>
\ No newline at end of file
diff --git a/test/test_solr_2.res b/test/test_solr_2.res
new file mode 100644 (file)
index 0000000..42534e3
--- /dev/null
@@ -0,0 +1,2 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<settings><status>OK</status></settings>
\ No newline at end of file
diff --git a/test/test_solr_3.res b/test/test_solr_3.res
new file mode 100644 (file)
index 0000000..ab63fe6
--- /dev/null
@@ -0,0 +1,2 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<search><status>OK</status></search>
\ No newline at end of file
diff --git a/test/test_solr_4.res b/test/test_solr_4.res
new file mode 100644 (file)
index 0000000..32a535b
--- /dev/null
@@ -0,0 +1,245 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<show>
+<status>OK</status>
+<activeclients>1</activeclients>
+<merged>18</merged>
+<total>1627</total>
+<start>0</start>
+<num>18</num>
+<hit>
+
+<md-title>Proceedings of the 1999 International Conference on Web-Based Modeling and Simulation</md-title>
+<md-title-remainder>[held as part of] 1999 Western MultiConference, San Francisco, California, January 17-20, 1999, Cathedral Hill Hotel</md-title-remainder>
+<md-date>1999-2000</md-date>
+<md-description>Network modeling -- Civil applications -- Education and training -- Military applications -- Parallel and distributed simulation -- DEVS-based approaches -- Modeling and simulation environments -- High-level architecture -- Visualization and animation -- Real-time applications</md-description><location id="donut:8983/solr/select" name="SOLR Test">
+<md-title>Proceedings of the International Conference on Web-based Modeling and Simulation</md-title>
+<md-date>2000</md-date>
+<md-description>Both conferences held as parts of the 2000 Western MultiConference, San Diego, California, January 23-27, 2000, Catamaran Resort Hotel</md-description>
+<md-description>&quot;Sponsored by the Society for Computer Simulation International&quot;--T.p</md-description></location>
+<location id="donut:8983/solr/select" name="SOLR Test">
+<md-title>Proceedings of the 1999 International Conference on Web-Based Modeling and Simulation</md-title>
+<md-title-remainder>[held as part of] 1999 Western MultiConference, San Francisco, California, January 17-20, 1999, Cathedral Hill Hotel</md-title-remainder>
+<md-date>1999</md-date>
+<md-description>Network modeling -- Civil applications -- Education and training -- Military applications -- Parallel and distributed simulation -- DEVS-based approaches -- Modeling and simulation environments -- High-level architecture -- Visualization and animation -- Real-time applications</md-description></location>
+<count>2</count>
+<relevance>930000</relevance>
+<recid>title proceedings of the international conference on web based modeling and simulation</recid>
+</hit>
+<hit>
+
+<md-title>Proceedings of the 1998 International Conference on Web-Based Modeling &amp; Simulation</md-title>
+<md-title-remainder>simulation and modeling technology for the twenty-first century : [held as part of] 1998 Western Multiconference, San Diego, California, January 11-14, 1998, Catamaran Resort Hotel</md-title-remainder>
+<md-date>1998</md-date>
+<md-description>Web agents -- Agents, DEVS, reuse -- Discrete-event simulation -- Automation -- Distributed interactive simulation -- Education -- Panel session: the modeling methodological impacts of web-based simulation -- Simulation toolkits -- Virtual reality -- Applications -- Simulation projects</md-description><location id="donut:8983/solr/select" name="SOLR Test">
+<md-title>Proceedings of the 1998 International Conference on Web-Based Modeling &amp; Simulation</md-title>
+<md-title-remainder>simulation and modeling technology for the twenty-first century : [held as part of] 1998 Western Multiconference, San Diego, California, January 11-14, 1998, Catamaran Resort Hotel</md-title-remainder>
+<md-date>1998</md-date>
+<md-description>Web agents -- Agents, DEVS, reuse -- Discrete-event simulation -- Automation -- Distributed interactive simulation -- Education -- Panel session: the modeling methodological impacts of web-based simulation -- Simulation toolkits -- Virtual reality -- Applications -- Simulation projects</md-description></location>
+<relevance>450000</relevance>
+<recid>title proceedings of the international conference on web based modeling simulation</recid>
+</hit>
+<hit>
+
+<md-title>International Conference on Simulation in Engineering Education</md-title>
+<md-title-remainder>proceedings of the 1993 SCS Western Simulation Multiconference on Simulation in Engineering Education : January 17-20, 1993, Hyatt Regency La Jolla, La Jolla, California</md-title-remainder>
+<md-date>1992-1993</md-date><location id="donut:8983/solr/select" name="SOLR Test">
+<md-title>International Conference on Simulation in Engineering Education</md-title>
+<md-title-remainder>proceedings of the 1993 SCS Western Simulation Multiconference on Simulation in Engineering Education : January 17-20, 1993, Hyatt Regency La Jolla, La Jolla, California</md-title-remainder>
+<md-date>1993</md-date></location>
+<location id="donut:8983/solr/select" name="SOLR Test">
+<md-title>International Conference on Simulation in Engineering Education</md-title>
+<md-title-remainder>proceedings of the 1992 SCS Western Simulation Multiconference on Simulation in Engineering Education, 20-22 January 1992, Newport Beach, Calif</md-title-remainder>
+<md-date>1992</md-date></location>
+<count>2</count>
+<relevance>400000</relevance>
+<recid>title international conference on simulation in engineering education</recid>
+</hit>
+<hit>
+
+<md-title>Modeling and simulating sensory response for real and virtual environments</md-title>
+<md-title-remainder>16 April 1998, Orlando, Florida</md-title-remainder>
+<md-date>1998</md-date><location id="donut:8983/solr/select" name="SOLR Test">
+<md-title>Modeling and simulating sensory response for real and virtual environments</md-title>
+<md-title-remainder>16 April 1998, Orlando, Florida</md-title-remainder>
+<md-date>1998</md-date></location>
+<relevance>400000</relevance>
+<recid>title modeling and simulating sensory response for real and virtual environments</recid>
+</hit>
+<hit>
+
+<md-title>Simulation analysis of a network computer</md-title>
+<md-date>1973</md-date>
+<md-author>Salz, Fredrick R</md-author><location id="donut:8983/solr/select" name="SOLR Test">
+<md-title>Simulation analysis of a network computer</md-title>
+<md-date>1973</md-date>
+<md-author>Salz, Fredrick R</md-author></location>
+<relevance>275000</relevance>
+<recid>title simulation analysis of a network computer author salz fredrick r</recid>
+</hit>
+<hit>
+
+<md-title>On-line programming system</md-title>
+<md-date>1970</md-date>
+<md-description>Cover title</md-description><location id="donut:8983/solr/select" name="SOLR Test">
+<md-title>On-line programming system</md-title>
+<md-date>1970</md-date>
+<md-description>Cover title</md-description></location>
+<relevance>250000</relevance>
+<recid>title on line programming system</recid>
+</hit>
+<hit>
+
+<md-title>Time-sharing task control for a hybrid computer simulation laboratory</md-title>
+<md-date>1970</md-date>
+<md-author>Dietzler, Andrew John</md-author><location id="donut:8983/solr/select" name="SOLR Test">
+<md-title>Time-sharing task control for a hybrid computer simulation laboratory</md-title>
+<md-date>1970</md-date>
+<md-author>Dietzler, Andrew John</md-author></location>
+<relevance>235000</relevance>
+<recid>title time sharing task control for a hybrid computer simulation laboratory author dietzler andrew john</recid>
+</hit>
+<hit>
+
+<md-title>An information and advising system for an automated introductory computer science course</md-title>
+<md-date>1975</md-date>
+<md-author>Eland, Dave Ronald</md-author>
+<md-description>Originally presented as the author&apos;s thesis, University of Illinois at Urbana-Champaign</md-description><location id="donut:8983/solr/select" name="SOLR Test">
+<md-title>An information and advising system for an automated introductory computer science course</md-title>
+<md-date>1975</md-date>
+<md-author>Eland, Dave Ronald</md-author>
+<md-description>Originally presented as the author&apos;s thesis, University of Illinois at Urbana-Champaign</md-description>
+<md-description>Vita</md-description></location>
+<relevance>200000</relevance>
+<recid>title an information and advising system for an automated introductory computer science course author eland dave ronald</recid>
+</hit>
+<hit>
+
+<md-title>Problemy modelowania analogowego i cyfrowego</md-title>
+<md-date>1981</md-date>
+<md-description>Title on p. [2] of cover: Problems of analog and digital simulation</md-description><location id="donut:8983/solr/select" name="SOLR Test">
+<md-title>Problemy modelowania analogowego i cyfrowego</md-title>
+<md-date>1981</md-date>
+<md-description>Title on p. [2] of cover: Problems of analog and digital simulation</md-description>
+<md-description>Summaries in English and Russian; table of contents also in English</md-description></location>
+<relevance>200000</relevance>
+<recid>title problemy modelowania analogowego i cyfrowego</recid>
+</hit>
+<hit>
+
+<md-title>Simulation engineering</md-title>
+<md-title-remainder>[build better embedded systems faster]</md-title-remainder>
+<md-date>2001</md-date>
+<md-author>Ledin, Jim</md-author>
+<md-description>Accompanying CD-ROM contains source code for developing simulations in C++ as well as example simulations for use with Simulink, VisSim, MATRIXX SystemBuild, and 20-sim</md-description><location id="donut:8983/solr/select" name="SOLR Test">
+<md-title>Simulation engineering</md-title>
+<md-title-remainder>[build better embedded systems faster]</md-title-remainder>
+<md-date>2001</md-date>
+<md-author>Ledin, Jim</md-author>
+<md-description>Subtitle from cover</md-description>
+<md-description>Accompanying CD-ROM contains source code for developing simulations in C++ as well as example simulations for use with Simulink, VisSim, MATRIXX SystemBuild, and 20-sim</md-description></location>
+<relevance>200000</relevance>
+<recid>title simulation engineering author ledin jim</recid>
+</hit>
+<hit>
+
+<md-title>GRAIL/GPSS: graphic on-line modeling</md-title>
+<md-date>1968</md-date>
+<md-author>Haverty, J. P</md-author>
+<md-description>Cover title</md-description><location id="donut:8983/solr/select" name="SOLR Test">
+<md-title>GRAIL/GPSS: graphic on-line modeling</md-title>
+<md-date>1968</md-date>
+<md-author>Haverty, J. P</md-author>
+<md-description>Cover title</md-description></location>
+<relevance>175000</relevance>
+<recid>title grail gpss graphic on line modeling author haverty j p</recid>
+</hit>
+<hit>
+
+<md-title>JASP: A simulation language for a time-shared system</md-title>
+<md-date>1970</md-date>
+<md-author>Pritsker, A. Alan B</md-author>
+<md-description>&quot;Research ... supported by the United States Air Force under Project Rand--Contract no. F44620-67-C-0045--monitored by the Directorate of Operational Requirements and Development Plans, Deputy Chief of Staff, Research and Development, Hq USAF.&quot;</md-description><location id="donut:8983/solr/select" name="SOLR Test">
+<md-title>JASP: A simulation language for a time-shared system</md-title>
+<md-date>1970</md-date>
+<md-author>Pritsker, A. Alan B</md-author>
+<md-description>&quot;Prepared for United States Air Project Rand.&quot;</md-description>
+<md-description>&quot;Research ... supported by the United States Air Force under Project Rand--Contract no. F44620-67-C-0045--monitored by the Directorate of Operational Requirements and Development Plans, Deputy Chief of Staff, Research and Development, Hq USAF.&quot;</md-description></location>
+<relevance>175000</relevance>
+<recid>title jasp a simulation language for a time shared system author pritsker a alan b</recid>
+</hit>
+<hit>
+
+<md-title>Mehrfachzugriff, Time-sharing, Dialogbetrieb</md-title>
+<md-date>1974</md-date>
+<md-author>Polze, C</md-author><location id="donut:8983/solr/select" name="SOLR Test">
+<md-title>Mehrfachzugriff, Time-sharing, Dialogbetrieb</md-title>
+<md-date>1974</md-date>
+<md-author>Polze, C</md-author></location>
+<relevance>175000</relevance>
+<recid>title mehrfachzugriff time sharing dialogbetrieb author polze c</recid>
+</hit>
+<hit>
+
+<md-title>Auerbach guide to time sharing</md-title>
+<md-date>1972</md-date><location id="donut:8983/solr/select" name="SOLR Test">
+<md-title>Auerbach guide to time sharing</md-title>
+<md-date>1972</md-date></location>
+<relevance>150000</relevance>
+<recid>title auerbach guide to time sharing</recid>
+</hit>
+<hit>
+
+<md-title>Auerbach time sharing reports</md-title>
+<md-date>1969</md-date>
+<md-description>Beginning in mid-1971 prepared and published by the body under its later name: Auerbach Publishers</md-description><location id="donut:8983/solr/select" name="SOLR Test">
+<md-title>Auerbach time sharing reports</md-title>
+<md-date>1969</md-date>
+<md-description>Running title (beginning 1971): Time sharing</md-description>
+<md-description>Beginning in mid-1971 prepared and published by the body under its later name: Auerbach Publishers</md-description>
+<md-description>Material issued before ca. 1970 lacks series statement</md-description>
+<md-description>&quot;Updated six times per year.&quot; Originally updated quarterly</md-description></location>
+<relevance>150000</relevance>
+<recid>title auerbach time sharing reports</recid>
+</hit>
+<hit>
+
+<md-title>Graphical man-machine interactive systems for numerical problems</md-title>
+<md-title-remainder>PEG, a special purpose system; and GAMMA, a general purpose system</md-title-remainder>
+<md-date>1970</md-date>
+<md-author>Smith, L. B</md-author><location id="donut:8983/solr/select" name="SOLR Test">
+<md-title>Graphical man-machine interactive systems for numerical problems</md-title>
+<md-title-remainder>PEG, a special purpose system; and GAMMA, a general purpose system</md-title-remainder>
+<md-date>1970</md-date>
+<md-author>Smith, L. B</md-author></location>
+<relevance>150000</relevance>
+<recid>title graphical man machine interactive systems for numerical problems author smith l b</recid>
+</hit>
+<hit>
+
+<md-title>The Guide;</md-title>
+<md-title-remainder>an information system</md-title-remainder>
+<md-date>1974</md-date>
+<md-author>Pradels, Jean Louis</md-author>
+<md-description>Originally presented as the author&apos;s thesis, University of Illinois at Urbana-Champaign</md-description><location id="donut:8983/solr/select" name="SOLR Test">
+<md-title>The Guide;</md-title>
+<md-title-remainder>an information system</md-title-remainder>
+<md-date>1974</md-date>
+<md-author>Pradels, Jean Louis</md-author>
+<md-description>Originally presented as the author&apos;s thesis, University of Illinois at Urbana-Champaign</md-description></location>
+<relevance>150000</relevance>
+<recid>title the guide author pradels jean louis</recid>
+</hit>
+<hit>
+
+<md-title>Internet searching and indexing</md-title>
+<md-title-remainder>the subject approach</md-title-remainder>
+<md-date>2000</md-date>
+<md-description>Published also as v. 2, no. 3/4 2000 of the Journal of Internet cataloging</md-description><location id="donut:8983/solr/select" name="SOLR Test">
+<md-title>Internet searching and indexing</md-title>
+<md-title-remainder>the subject approach</md-title-remainder>
+<md-date>2000</md-date>
+<md-description>Published also as v. 2, no. 3/4 2000 of the Journal of Internet cataloging</md-description></location>
+<relevance>120000</relevance>
+<recid>title internet searching and indexing</recid>
+</hit>
+</show>
diff --git a/test/test_solr_5.res b/test/test_solr_5.res
new file mode 100644 (file)
index 0000000..6ce8122
--- /dev/null
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<bytarget><status>OK</status>
+<target><id>donut:8983/solr/select</id>
+<name>SOLR Test</name>
+<hits>1627</hits>
+<diagnostic>0</diagnostic>
+<records>20</records>
+<state>Client_Working</state>
+</target></bytarget>
\ No newline at end of file
diff --git a/test/test_solr_6.res b/test/test_solr_6.res
new file mode 100644 (file)
index 0000000..f69af4c
--- /dev/null
@@ -0,0 +1,56 @@
+<termlist>
+<activeclients>1</activeclients>
+<list name="xtargets">
+<term>
+<id>donut:8983/solr/select</id>
+<name>SOLR Test</name>
+<frequency>1627</frequency>
+<state>Client_Working</state>
+<diagnostic>0</diagnostic>
+</term>
+</list>
+<list name="author">
+<term><name>Ledin, Jim</name><frequency>1</frequency></term>
+<term><name>Salz, Fredrick R</name><frequency>1</frequency></term>
+<term><name>Pradels, Jean Louis</name><frequency>1</frequency></term>
+<term><name>Dietzler, Andrew John</name><frequency>1</frequency></term>
+<term><name>Haverty, J. P</name><frequency>1</frequency></term>
+<term><name>Eland, Dave Ronald</name><frequency>1</frequency></term>
+<term><name>Smith, L. B</name><frequency>1</frequency></term>
+<term><name>Polze, C</name><frequency>1</frequency></term>
+<term><name>Pritsker, A. Alan B</name><frequency>1</frequency></term>
+</list>
+<list name="subject">
+<term><name>Digital computer simulation</name><frequency>14</frequency></term>
+<term><name>Time-sharing computer systems</name><frequency>8</frequency></term>
+<term><name>Engineering</name><frequency>6</frequency></term>
+<term><name>Interactive computer systems</name><frequency>5</frequency></term>
+<term><name>Virtual computer systems</name><frequency>4</frequency></term>
+<term><name>Computer simulation</name><frequency>3</frequency></term>
+<term><name>Electronic data processing</name><frequency>3</frequency></term>
+<term><name>World Wide Web</name><frequency>3</frequency></term>
+<term><name>Embedded computer systems</name><frequency>2</frequency></term>
+<term><name>Cataloging of computer network resources</name><frequency>2</frequency></term>
+<term><name>Internet searching</name><frequency>2</frequency></term>
+<term><name>Online data processing</name><frequency>2</frequency></term>
+<term><name>Guide (Electronic computer system)</name><frequency>2</frequency></term>
+<term><name>PLATO (Electronic computer system)</name><frequency>2</frequency></term>
+<term><name>Programming languages (Electronic computers)</name><frequency>1</frequency></term>
+</list>
+<list name="date">
+<term><name>1970</name><frequency>4</frequency></term>
+<term><name>2000</name><frequency>2</frequency></term>
+<term><name>1974</name><frequency>2</frequency></term>
+<term><name>1998</name><frequency>2</frequency></term>
+<term><name>1969</name><frequency>1</frequency></term>
+<term><name>1968</name><frequency>1</frequency></term>
+<term><name>1975</name><frequency>1</frequency></term>
+<term><name>1981</name><frequency>1</frequency></term>
+<term><name>1992</name><frequency>1</frequency></term>
+<term><name>1993</name><frequency>1</frequency></term>
+<term><name>2001</name><frequency>1</frequency></term>
+<term><name>1999</name><frequency>1</frequency></term>
+<term><name>1973</name><frequency>1</frequency></term>
+<term><name>1972</name><frequency>1</frequency></term>
+</list>
+</termlist>
diff --git a/test/test_solr_urls b/test/test_solr_urls
new file mode 100644 (file)
index 0000000..f2fa4ad
--- /dev/null
@@ -0,0 +1,7 @@
+http://localhost:9763/search.pz2?command=init&clear=1
+http://localhost:9763/search.pz2?session=1&command=settings&pz:sru%5Bdonut:8983%2Fsolr%2Fselect%5D=solr&pz%3Aname%5Bdonut%3A8983%2Fsolr%2Fselect%5D=SOLR+Test&pz%3Acclmap%3Ati%5Bdonut%3A8983%2Fsolr%2Fselect%5D=1%3Dtitle&pz%3Acclmap%3Asu%5Bdonut%3A8983%2Fsolr%2Fselect%5D=1%3Dsubject&pz%3Acclmap%3Aau%5Bdonut%3A8983%2Fsolr%2Fselect%5D=1%3Dauthor&pz%3Acclmap%3Aisbn%5Bdonut%3A8983%2Fsolr%2Fselect%5D=1%3Disbn&pz%3Acclmap%3Aterm%5Bdonut%3A8983%2Fsolr%2Fselect%5D=1%3Dtitle&pz%3Axslt%5Bdonut%3A8983%2Fsolr%2Fselect%5D=solr-pz2.xsl&pz%3Aqueryencoding%5Bdonut%3A8983%2Fsolr%2Fselect%5D=UTF-8
+http://localhost:9763/search.pz2?session=1&command=search&query=su%3D%22computer%22
+http://localhost:9763/search.pz2?session=1&command=show&block=1
+http://localhost:9763/search.pz2?session=1&command=bytarget
+http://localhost:9763/search.pz2?session=1&command=termlist&name=xtargets%2Cauthor%2Csubject%2Cdate
+